
简介
该用户还未填写简介
擅长的技术栈
可提供的服务
暂无可提供的服务
K的大小1到1e18,时间复杂度最多O(lnk),因为随着年份的增大,平年越多,可以用二分来做,二分出2024年后的平年个数少于等于k的最小年份,平年个数=年份-闰年个数,闰年个数可以利用容斥原理来求:例如年份n=100 , 能整除4的闰年: 4 16...100 对应+n/4的时候会将100加进去,所以要-n/100,不要整除100的年份,二分结束后,最后输出左边界l即可。2.(1,4)(2,6

可以转换成求最短路径,处理一下换方向的代价即可,用一个ans[n][m][4]数组表示(x,y)位置在由4个方向 (0:下,1:上,2:右,3:左) 走到的最小值(如:ans[ I ][ j ][0]表示向下走到i,j位置的最小值),dfs后,输出ans[n][m][0]。每组测试样例给出n * m大小的地图,经过I, j位置所需要的时间为t[ I ][ j ],在i,j位换方向的时间为d[ I

小hua每个回合攻击敌人遵循:攻击一个受到伤害不足 k次的存活的敌人(若有多个则攻击剩余血量最低的一个,若仍有多个则攻击攻击力最低的一个,若还有多个则攻击编号最小的一个),若当前敌人从未受过攻击,则它受到 u 点伤害,否则受到 ⌊u/2⌋点伤害,血量为0则为死亡;将打折的存到t0数组,从小到打排序,减价的存到t1数组,从大到小排序,t1数组的前缀和存到q数组,因为如果要打折的话,肯定直接在最前面使

题意:选择n种商品,每种商品可无限选择,第 i 种商品价值为gi,体积都是1,你需要输出在总价格不超过v的前提下填满m背包的方案数,答案 % 1e9+7。输入:有 T 组数据,1≤T输出:对于每组数据,输出一个数 ans表示方案数取模之后的值。思路:完全背包问题,定义f[ j ][ k ] : 达到总价格为j ,体积为k的总方案数初始化:memset( f,0,sizeof(f) ) , f[0]








